'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SuperScript = {
    constructor: function constructor() {
        var config = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

        var callbacks = {
            getEditorState: _utils.noop,
            setEditorState: _utils.noop
        };
        var toggleBlock = (0, _utils.getToggleBlockFunc)(callbacks);
        return {
            name: 'superscript',
            callbacks: callbacks,
            decorators: [{
                strategy: (0, _utils.findEntities)('superscript'),
                component: function component(props) {
                    return React.createElement(
                        'sup',
                        null,
                        props.children
                    );
                }
            }],
            component: function component(props) {
                var _classnames;

                var currentStyle = callbacks.getEditorState().getCurrentInlineStyle();
                var editorState = callbacks.getEditorState();
                console.log('>> current Entity', (0, _utils.getCurrentEntity)(editorState));
                var classNames = (0, _classnames3["default"])((_classnames = {}, _defineProperty(_classnames, 'editor-icon', true), _defineProperty(_classnames, 'editor-icon-superscript', true), _defineProperty(_classnames, 'active', currentStyle.has('ITALIC')), _classnames));
                return React.createElement('span', { onMouseDown: function onMouseDown() {
                        return toggleBlock('SUPERSCRIPT');
                    }, className: classNames });
            }
        };
    },
    config: {}
};
exports["default"] = SuperScript;
module.exports = exports['default'];